summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/windows_error/windows_error-0.1.4.ebuild')
-rw-r--r--dev-ruby/windows_error/windows_error-0.1.4.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-ruby/windows_error/windows_error-0.1.4.ebuild b/dev-ruby/windows_error/windows_error-0.1.4.ebuild
new file mode 100644
index 00000000000..112db8a3ab1
--- /dev/null
+++ b/dev-ruby/windows_error/windows_error-0.1.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="reference for standard Windows API Error Codes"
+HOMEPAGE="https://github.com/rapid7/windows_error"
+
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ rm -f .rspec || die
+}